observability
Trace/cost/latency stats for one agent (accepts a UUID or agent name).
GET
/
api
/
observability
/
agent
/
{agent_id}
/
stats
Trace/cost/latency stats for one agent (accepts a UUID or agent name).
curl --request GET \
--url https://api.example.com/api/observability/agent/{agent_id}/statsimport requests
url = "https://api.example.com/api/observability/agent/{agent_id}/stats"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/observability/agent/{agent_id}/stats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"project": {
"cost_summary": {
"cache_creation": {
"cost": 123
},
"cache_read": {
"cost": 123
},
"completion": {
"cost": 123
},
"prompt": {
"cost": 123
},
"total": {
"cost": 123
}
},
"document_evaluation_names": [
"<string>"
],
"id": "<string>",
"span_annotation_names": [
"<string>"
],
"trace_count": 1,
"latency_ms_p50": 123,
"latency_ms_p99": 123
}
},
"message": "<string>",
"status_code": 1
}Path Parameters
Agent UUID or name
Query Parameters
Optional — the service defaults to the last 24 hours, matching the other observe endpoints (the UI calls this with no params at all).
⌘I
Trace/cost/latency stats for one agent (accepts a UUID or agent name).
